# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedPlayerData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedPlayerData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedPlayerData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# DetailedPlayerData 

###
Companion class DetailedPlayerData

#### object DetailedPlayerData extends Marshallable[DetailedPlayerData] with Serializable

Source
  DetailedPlayerData.scala

Linear Supertypes
Serializable, Marshallable[DetailedPlayerData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedPlayerData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(pos: PlacementData, basic_appearance: (Int) => CharacterAppearanceData, character_data: (Option[Int]) => DetailedCharacterData, drawn_slot: DrawnSlot.Value): DetailedPlayerData

   Overloaded constructor that includes the coordinate information but ignores the inventory.

   Overloaded constructor that includes the coordinate information but ignores the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are standing apart from other containers.

   pos

     the optional position of the character in the world environment

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   drawn_slot

     the holster that is depicted as exposed, or "drawn"

   returns

     a `DetailedPlayerData` object

5.  def apply(pos: PlacementData, basic_appearance: (Int) => CharacterAppearanceData, character_data: (Option[Int]) => DetailedCharacterData, inventory: InventoryData, drawn_slot: DrawnSlot.Value): DetailedPlayerData

   Overloaded constructor that includes the coordinate information and the inventory.

   Overloaded constructor that includes the coordinate information and the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are standing apart from other containers.

   pos

     the optional position of the character in the world environment

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   inventory

     the player's full or partial (holsters-only) inventory

   drawn_slot

     the holster that is depicted as exposed, or "drawn"

   returns

     a `DetailedPlayerData` object

6.  def apply(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Option[Int]) => DetailedCharacterData, drawn_slot: DrawnSlot.Value): DetailedPlayerData

   Overloaded constructor that ignores the coordinate information and the inventory.

   Overloaded constructor that ignores the coordinate information and the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   drawn_slot

     the holster that is depicted as exposed, or "drawn;" technically, always `DrawnSlot.None`, but the field is preserved to maintain similarity

   returns

     a `DetailedPlayerData` object

7.  def apply(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Option[Int]) => DetailedCharacterData, inventory: InventoryData, drawn_slot: DrawnSlot.Value): DetailedPlayerData

   Overloaded constructor that ignores the coordinate information but includes the inventory.

   Overloaded constructor that ignores the coordinate information but includes the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   inventory

     the player's full or partial (holsters-only) inventory

   drawn_slot

     the holster that is depicted as exposed, or "drawn"; technically, always `DrawnSlot.None`, but the field is preserved to maintain similarity

   returns

     a `DetailedPlayerData` object

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def codec(position_defined: Boolean): Codec[DetailedPlayerData]
11.  implicit val codec: Codec[DetailedPlayerData]
    Definition Classes
      DetailedPlayerData → Marshallable
12.  def decode(a: BitVector): Attempt[DecodeResult[DetailedPlayerData]]
    Definition Classes
      Marshallable
13.  def encode(a: DetailedPlayerData): Attempt[BitVector]
    Definition Classes
      Marshallable
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[DetailedPlayerData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped